package com.mobile.message.request;

import java.util.Map;

/**
 * 消息基类（普通用户 -> 公众帐号）
 *
 *  ToUserName	开发者微信号
 FromUserName	发送方帐号（一个OpenID）
 CreateTime	消息创建时间 （整型）
 MsgType	消息类型
 MsgId	消息id，64位整型

 */
public class BaseMessage {
    // 开发者微信号
    private String ToUserName;
    // 发送方帐号（一个OpenID）
    private String FromUserName;
    // 消息创建时间 （整型）
    private long CreateTime;
    // 消息类型（text/image/location/link）
    private String MsgType;
    // 消息id，64位整型
    private long MsgId;

    public BaseMessage(String toUserName, String fromUserName, String createTime, String msgType, String msgId){
        this.ToUserName=toUserName;
        this.FromUserName=fromUserName;
        this.CreateTime=Long.parseLong(createTime);
        this.MsgType=msgType;
        this.MsgId=Long.parseLong(msgId);
    }

    public BaseMessage(Map<String, String> mapMessage){
        try {
            // 开发者微信号
            String toUserName = mapMessage.get("ToUserName");
            // 发送方帐号（open_id）
            String fromUserName = mapMessage.get("FromUserName");
            // 消息类型
            String msgType = mapMessage.get("MsgType");
            // 建立时间
            String createTime = mapMessage.get("CreateTime");
            // 消息ID
            String msgId = mapMessage.get("MsgId");

            this.ToUserName = toUserName;
            this.FromUserName = fromUserName;
            this.CreateTime = Long.parseLong(createTime);
            this.MsgType = msgType;
            this.MsgId = Long.parseLong(msgId);
        }
        catch (Exception e) {
            e.printStackTrace();
        }
    }

    public String getToUserName() {
        return ToUserName;
    }

    public void setToUserName(String toUserName) {
        ToUserName = toUserName;
    }

    public String getFromUserName() {
        return FromUserName;
    }

    public void setFromUserName(String fromUserName) {
        FromUserName = fromUserName;
    }

    public long getCreateTime() {
        return CreateTime;
    }

    public void setCreateTime(long createTime) {
        CreateTime = createTime;
    }

    public String getMsgType() {
        return MsgType;
    }

    public void setMsgType(String msgType) {
        MsgType = msgType;
    }

    public long getMsgId() {
        return MsgId;
    }

    public void setMsgId(long msgId) {
        MsgId = msgId;
    }
}