package com.mobile.message.request;

import com.mobile.util.MessageUtil;

import java.util.Map;

/**
 * 图片消息
 *
 *
 * ToUserName	开发者微信号
 FromUserName	发送方帐号（一个OpenID）
 CreateTime	消息创建时间 （整型）
 MsgType	image
 PicUrl	图片链接（由系统生成）
 MediaId	图片消息媒体id，可以调用多媒体文件下载接口拉取数据。
 MsgId	消息id，64位整型

 * @author liufeng
 * @date 2013-05-19
 */
public class ImageMessage extends BaseMessage {
    // 图片链接
    private String PicUrl;

    public ImageMessage(String toUserName,
                        String fromUserName,
                        String createTime,
                        String msgType,
                        String msgId,
                        String picUrl) {
        super(toUserName,fromUserName,createTime,msgType,msgId);
        assert (msgType.equals(MessageUtil.REQ_MESSAGE_TYPE_IMAGE));
        this.PicUrl=picUrl;
    }

    public ImageMessage(Map<String, String> mapMessage){
        super(mapMessage);
        assert (this.getMsgType().equals(MessageUtil.REQ_MESSAGE_TYPE_IMAGE));
        this.PicUrl=mapMessage.get("PicUrl");
    }

    public String getPicUrl() {
        return PicUrl;
    }

    public void setPicUrl(String picUrl) {
        PicUrl = picUrl;
    }
}