package com.mobile.message.request;

import com.mobile.util.MessageUtil;

import java.util.Map;

/**
 * 链接消息
 *
 * ToUserName	接收方微信号
 FromUserName	发送方微信号，若为普通用户，则是一个OpenID
 CreateTime	消息创建时间
 MsgType	消息类型，link
 Title	消息标题
 Description	消息描述
 Url	消息链接
 MsgId	消息id，64位整型
 *
 * @author liufeng
 * @date 2013-05-19
 */
public class LinkMessage extends BaseMessage {
    // 消息标题
    private String Title;
    // 消息描述
    private String Description;
    // 消息链接
    private String Url;

    public LinkMessage(String toUserName,
                        String fromUserName,
                        String createTime,
                        String msgType,
                        String msgId,
                        String title,
                       String description,
                       String url) {
        super(toUserName,fromUserName,createTime,msgType,msgId);
        assert (msgType.equals(MessageUtil.REQ_MESSAGE_TYPE_LINK));
        this.Title=title;
        this.Description=description;
        this.Url=url;
    }

    public LinkMessage(Map<String, String> mapMessage){
        super(mapMessage);
        assert (this.getMsgType().equals(MessageUtil.REQ_MESSAGE_TYPE_LINK));
        this.Title=mapMessage.get("Title");
        this.Description=mapMessage.get("Description");
        this.Url=mapMessage.get("Url");
    }

    public String getTitle() {
        return Title;
    }

    public void setTitle(String title) {
        Title = title;
    }

    public String getDescription() {
        return Description;
    }

    public void setDescription(String description) {
        Description = description;
    }

    public String getUrl() {
        return Url;
    }

    public void setUrl(String url) {
        Url = url;
    }
}
