package com.mobile.message.request;

import com.mobile.util.MessageUtil;

import java.util.Map;

/**
 * 小视频消息
 *
 * ToUserName	开发者微信号
 FromUserName	发送方帐号（一个OpenID）
 CreateTime	消息创建时间 （整型）
 MsgType	小视频为shortvideo
 MediaId	视频消息媒体id，可以调用多媒体文件下载接口拉取数据。
 ThumbMediaId	视频消息缩略图的媒体id，可以调用多媒体文件下载接口拉取数据。
 MsgId	消息id，64位整型
 *
 */
public class ShortVideoMessage extends BaseMessage {
    // 小视频
    // 媒体文件id
    private String MediaId;
    // 缩略图的媒体id
    private String ThumbMediaId;

    public ShortVideoMessage(String toUserName,
                       String fromUserName,
                       String createTime,
                       String msgType,
                       String msgId,
                       String mediaId,
                       String thumbMediaId) {
        super(toUserName,fromUserName,createTime,msgType,msgId);
        assert (msgType.equals(MessageUtil.REQ_MESSAGE_TYPE_SHORT_VIDEO));
        this.MediaId=mediaId;
        this.ThumbMediaId=thumbMediaId;
     }

    public ShortVideoMessage(Map<String, String> mapMessage){
        super(mapMessage);
        assert (this.getMsgType().equals(MessageUtil.REQ_MESSAGE_TYPE_SHORT_VIDEO));
        this.MediaId=mapMessage.get("MediaId");
        this.ThumbMediaId=mapMessage.get("ThumbMediaId");
    }


    public String getMediaId() {
        return MediaId;
    }

    public void setMediaId(String mediaId) {
        MediaId = mediaId;
    }

    public String getThumbMediaId() {
        return ThumbMediaId;
    }

    public void setThumbMediaId(String thumbMediaId) {
        ThumbMediaId = thumbMediaId;
    }

}