package com.mobile.message.request;

import com.mobile.util.MessageUtil;

import java.util.Map;

/**
 * 文本消息
 *
 *
 * ToUserName	开发者微信号
 FromUserName	发送方帐号（一个OpenID）
 CreateTime	消息创建时间 （整型）
 MsgType	text
 Content	文本消息内容
 MsgId	消息id，64位整型

 * @author liufeng
 * @date 2013-05-19
 */
public class TextMessage extends BaseMessage {
    // 消息内容
    private String Content;

    public TextMessage(String toUserName,
                       String fromUserName,
                       String createTime,
                       String msgType,
                       String msgId,
                       String content) {
        super(toUserName,fromUserName,createTime,msgType,msgId);
        assert (msgType.equals(MessageUtil.REQ_MESSAGE_TYPE_TEXT));
        this.Content=content;

    }

    public TextMessage(Map<String, String> mapMessage){
        super(mapMessage);
        assert (this.getMsgType().equals(MessageUtil.REQ_MESSAGE_TYPE_TEXT));
        this.Content=mapMessage.get("Content");
    }


    public String getContent() {
        return Content;
    }

    public void setContent(String content) {
        Content = content;
    }
}