package com.mobile.message.request;

import com.mobile.util.MessageUtil;

import java.util.Map;

/**
 * 音频消息
 *
 *
 * ToUserName	开发者微信号
 FromUserName	发送方帐号（一个OpenID）
 CreateTime	消息创建时间 （整型）
 MsgType	语音为voice
 MediaId	语音消息媒体id，可以调用多媒体文件下载接口拉取数据。
 Format	语音格式，如amr，speex等
 MsgID	消息id，64位整型

 如果已经开启语音识别功能,格式如下:

 ToUserName	开发者微信号
 FromUserName	发送方帐号（一个OpenID）
 CreateTime	消息创建时间 （整型）
 MsgType	语音为voice
 MediaID	语音消息媒体id，可以调用多媒体文件下载接口拉取该媒体
 Format	语音格式：amr
 Recognition	语音识别结果，UTF8编码
 MsgID	消息id，64位整型

 * @author liufeng
 * @date 2013-05-19
 */
public class VoiceMessage extends BaseMessage {
    // 媒体ID
    private String MediaId;
    // 语音格式
    private String Format;

    public VoiceMessage(String toUserName,
                       String fromUserName,
                       String createTime,
                       String msgType,
                       String msgId,
                       String mediaId,
                       String format) {
        super(toUserName,fromUserName,createTime,msgType,msgId);
        assert (msgType.equals(MessageUtil.REQ_MESSAGE_TYPE_VOICE));
        this.MediaId=mediaId;
        this.Format=format;
    }

    public VoiceMessage(Map<String, String> mapMessage){
        super(mapMessage);
        assert (this.getMsgType().equals(MessageUtil.REQ_MESSAGE_TYPE_VOICE));
        this.MediaId=mapMessage.get("MediaId");
        this.Format=mapMessage.get("Format");
    }

    public String getMediaId() {
        return MediaId;
    }

    public void setMediaId(String mediaId) {
        MediaId = mediaId;
    }

    public String getFormat() {
        return Format;
    }

    public void setFormat(String format) {
        Format = format;
    }
}