package com.mobile.message.response;

import com.mobile.message.request.BaseMessage;
import com.mobile.util.MessageUtil;

import java.util.Date;

/**
 * 消息基类（公众帐号 -> 普通用户）
 *
 * @author liufeng
 * @date 2013-05-19
 */
public class BaseResponse {
    // 接收方帐号（收到的OpenID）
    private String ToUserName;
    // 开发者微信号
    private String FromUserName;
    // 消息创建时间 （整型）
    private long CreateTime;
    // 消息类型（text/music/news）
    private String MsgType;
    // 位0x0001被标志时，星标刚收到的消息
    private int FuncFlag;

//    public BaseResponse()
//    {}

    public BaseResponse(BaseMessage baseMessage){
        this.ToUserName=baseMessage.getFromUserName(); //返回的目标是当初的发送源
        this.FromUserName=baseMessage.getToUserName(); //发送的来源是当初的发送目标
        this.MsgType= MessageUtil.RESP_MESSAGE_TYPE_TEXT; // 默认返回消息为文本
        this.CreateTime=new Date().getTime(); //默认为当前时间
        this.FuncFlag=0; //默认为非星标
    }

    public BaseResponse(String toUserName,String fromUserName, String msgType){
        this.ToUserName=toUserName;
        this.FromUserName=fromUserName;
        this.MsgType=msgType;
        this.CreateTime=new Date().getTime(); //默认为当前时间
        this.FuncFlag=0; //默认为非星标
    }

    public String getToUserName() {
        return ToUserName;
    }

    public void setToUserName(String toUserName) {
        ToUserName = toUserName;
    }

    public String getFromUserName() {
        return FromUserName;
    }

    public void setFromUserName(String fromUserName) {
        FromUserName = fromUserName;
    }

    public long getCreateTime() {
        return CreateTime;
    }

    public void setCreateTime(long createTime) {
        CreateTime = createTime;
    }

    public String getMsgType() {
        return MsgType;
    }

    public void setMsgType(String msgType) {
        MsgType = msgType;
    }

    public int getFuncFlag() {
        return FuncFlag;
    }

    public void setFuncFlag(int funcFlag) {
        FuncFlag = funcFlag;
    }
}