package com.mobile.message.response;

import com.mobile.message.request.BaseMessage;
import com.mobile.util.MessageUtil;

/**
 * 音乐消息
 *
 * @author liufeng
 * @date 2013-05-19
 */
public class MusicResponse extends BaseResponse {
    // 音乐名称
    private String Title;
    // 音乐描述
    private String Description;
    // 音乐链接
    private String MusicUrl;
    // 高质量音乐链接，WIFI环境优先使用该链接播放音乐
    private String HQMusicUrl;

    public MusicResponse(String toUserName,String fromUserName, String msgType,
                         String title,String description,String musicUrl,String hQMusicUrl){
        super(toUserName,fromUserName,msgType);
        this.Title=title;
        this.Description=description;
        this.MusicUrl=musicUrl;
        this.HQMusicUrl=hQMusicUrl;
    }

    public MusicResponse(BaseMessage baseMessage,
                         String title,String description,String musicUrl,String hQMusicUrl){
        super(baseMessage);
        this.setMsgType(MessageUtil.RESP_MESSAGE_TYPE_MUSIC);
        this.Title=title;
        this.Description=description;
        this.MusicUrl=musicUrl;
        this.HQMusicUrl=hQMusicUrl;
    }

    public String getTitle() {
        return Title;
    }

    public void setTitle(String title) {
        Title = title;
    }

    public String getDescription() {
        return Description;
    }

    public void setDescription(String description) {
        Description = description;
    }

    public String getMusicUrl() {
        return MusicUrl;
    }

    public void setMusicUrl(String musicUrl) {
        MusicUrl = musicUrl;
    }

    public String getHQMusicUrl() {
        return HQMusicUrl;
    }

    public void setHQMusicUrl(String musicUrl) {
        HQMusicUrl = musicUrl;
    }
}