package com.mobile.message.response;

import com.mobile.message.request.BaseMessage;
import com.mobile.util.MessageUtil;

import java.util.ArrayList;
import java.util.List;

/**
 * 图文消息
 *
 * @author liufeng
 * @date 2013-05-19
 */
public class NewsResponse extends BaseResponse {
    // 图文消息个数，限制为10条以内
    private int ArticleCount;
    // 多条图文消息信息，默认第一个item为大图
    private List<Article> Articles;

    public NewsResponse(String toUserName,String fromUserName, String msgType){
        super(toUserName,fromUserName,msgType);
        ArticleCount=0;
        this.Articles = new ArrayList<Article>();
    }
    public NewsResponse(BaseMessage baseMessage){
        super(baseMessage);
        this.setMsgType(MessageUtil.RESP_MESSAGE_TYPE_NEWS);
        ArticleCount=0;
        this.Articles = new ArrayList<Article>();
    }

    //如果已经达到10篇文章,图文消息不可以再增加新的文章。返回FALSE；
    public boolean addArticle(Article article) {
        if (ArticleCount>=10){
            return false;
        }
        Articles.add(article);
        ArticleCount++;
        return true;
    }
    public Article getArticle(int articleIndex){
        return Articles.get(articleIndex);
    }

    public int getArticleCount() {
        return ArticleCount;
    }

//    public void setArticleCount(int articleCount) {
//        ArticleCount = articleCount;
//    }

    public List<Article> getArticles() {
        return Articles;
    }

//    public void setArticles(List<Article> articles) {
//        Articles = articles;
//    }
}
